import {
  Controller,
  Get,
  Post,
  Body,
  Put,
  Param,
  Delete,
  ParseUUIDPipe,
  HttpStatus, Query,
} from '@nestjs/common';
import { ConfigurableService } from './configurable.service';

@Controller({
  path: 'config',
  version: '1',
})
export class ConfigurableController {
  constructor(private readonly usersService: ConfigurableService) {}

  @Get()
  async findAll(@Query('page') page: number) {
    const [data, count] = await this.usersService.findAllRoles(page);

    return {
      data,
      count,
      statusCode: HttpStatus.OK,
      message: 'success',
    };
  }

  @Get(':id')
  async findOne(@Param('id', ParseUUIDPipe) id: string) {
    return {
      data: await this.usersService.findOne(id),
      statusCode: HttpStatus.OK,
      message: 'success',
    };
  }

}
