import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn,
  ManyToOne,
  ManyToMany,
  JoinTable,
} from 'typeorm';
import { Product } from '../../product/entities/product.entity';
import { User } from '../../users/entities/user.entity';
import { BaseModel } from '../../config/basemodel.entity';

enum type {
  SYSTEM_BANk,
  INCOME,
}

enum balanceType {
  DEBIT,
  CREDIT,
}

@Entity()
export class COA extends BaseModel {
  @Column()
  name: string;

  @Column('text')
  type: type;

  @Column('text')
  balanceType: balanceType;

  @Column()
  amount: number;

  @ManyToMany(() => User)
  @JoinTable()
  user: User[];
}
