import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn,
  ManyToOne,
  ManyToMany,
  JoinTable,
} from 'typeorm';
import { Product } from '../../product/entities/product.entity';
import { User } from '../../users/entities/user.entity';
import { BaseModel } from '../../config/basemodel.entity';
import { COA } from './coa.entity';
import { ProductHistoryPrice } from '../../product/entities/product-history-price.entity';

enum status {
  PENDING,
  SUCCESS,
  FAILED,
}

@Entity()
export class Transaction extends BaseModel {
  @Column()
  amount: number;

  @Column()
  status: status;

  @ManyToOne(() => User, (user) => user.id)
  user: User;

  @ManyToOne(() => ProductHistoryPrice, (productHistory) => productHistory.id)
  product: ProductHistoryPrice;
}
