import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
  DeleteDateColumn,
  VersionColumn,
  CreateDateColumn, ManyToOne, ManyToMany, JoinTable,
} from 'typeorm';
import { Product } from '../../product/entities/product.entity';
import { User } from '../../users/entities/user.entity';
import { BaseModel } from '../../config/basemodel.entity';
import { ProductCategories } from '../../product/entities/product-category.entity';
import { COA } from './coa.entity';

enum type {
  SYSTEM_BANk,
  INCOME,
}

enum balanceType {
  DEBIT,
  CREDIT,
}

@Entity()
export class TransactionJournal extends BaseModel {
  @Column('text')
  type: type;

  @Column()
  amount: number;

  @ManyToOne(() => COA, (coa) => coa.id)
  coa: COA;
}
